Subject: Re: I-D ACTION:draft-maeda-faxwg-fax-processing-status-00.txt

From: Dan Wing <[email-masked]>
Date: Thu, 01 Mar 2001 17:02:23 -0800

At 10:41 AM 2/22/01 +0900, MAEDA toru wrote:
>Wing-san
>
>We have a lot of discussion about DSN and MDN.
>I may be still confused in DSN and MDN.
>Please check my idea as follows.
>
>Basically DSN returns delivery status, and MDN returns processing status.
>Since my idea is to return the processing status from the receiver, the 
>draft describes to use MDN.
>When the Full Mode receiver get ifax mail from the server via POP, MDN 
>will be returned.
>When the Full Mode receiver get ifax mail from the server via SMTP, DSN 
>and MDN will be returned.

Can we add this to a document somewhere -- that a POP (or IMAP) 
implementation is expected to return MDN, and an SMTP-only implementation 
is expected to honor DSN and return MDN?

Thanks,
-Dan Wing

>DSN will be returned when the mail is received, and MDN will be returned 
>when the mail is printed or processed.
>
>
>Regards.
>
>Toru Maeda
>
>
>At 08:48 01/02/21 -0800, Dan Wing wrote:
>>Maeda-san,
>>
>>This needs to support both MDNs and DSNs.
>>
>>I noticed your email address in the Internet Draft is incorrect (.jo
>>instead of .jp).
>>
>>-Dan Wing
>>
>>
>>On Wed, 21 Feb 2001 06:44 -0500, [email-masked] wrote:
>>
>> > A New Internet-Draft is available from the on-line Internet-Drafts 
>> directories.
>> >
>> >
>> >       Title           : Fax Processing Status
>> >       Author(s)       : T. Maeda
>> >       Filename        : draft-maeda-faxwg-fax-processing-status-00.txt
>> >       Pages           : 4
>> >       Date            : 20-Feb-01
>> >
>> > This proposal describes a fax processing status which was requested
>> > in ITU-T SG16 meeting on November 2000 at Geneva, for Full Mode.
>> > The notification of success/failure of document processing and page
>> > by page status from the receiver is very important feature for the
>> > internet fax.
>> >
>> > A URL for this Internet-Draft is:
>> > 
>> http://www.ietf.org/internet-drafts/draft-maeda-faxwg-fax-processing-stat 
>> u s-00.txt
>> >
>> > Internet-Drafts are also available by anonymous FTP. Login with the 
>> username
>> > "anonymous" and a password of your e-mail address. After logging in,
>> > type "cd internet-drafts" and then
>> >       "get draft-maeda-faxwg-fax-processing-status-00.txt".
>> >
>> > A list of Internet-Drafts directories can be found in
>> > http://www.ietf.org/shadow.html
>> > or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>> >
>> >
>> > Internet-Drafts can also be obtained by e-mail.
>> >
>> > Send a message to:
>> >       [email-masked].
>> > In the body type:
>> >       "FILE 
>> /internet-drafts/draft-maeda-faxwg-fax-processing-status-00.txt".
>> >
>> > NOTE: The mail server at ietf.org can return the document in
>> >       MIME-encoded form by using the "mpack" utility.  To use this
>> >       feature, insert the command "ENCODING mime" before the "FILE"
>> >       command.  To decode the response(s), you will need "munpack" or
>> >       a MIME-compliant mail reader.  Different MIME-compliant mail 
>> readers
>> >       exhibit different behavior, especially when dealing with
>> >       "multipart" MIME messages (i.e. documents which have been split
>> >       up into multiple messages), so check your local documentation on
>> >       how to manipulate these messages.
>> >
>> >
>> > Below is the data which will enable a MIME compliant mail reader
>> > implementation to automatically retrieve the ASCII version of the
>> > Internet-Draft.
>> >
>
>-----------------------------------
>$B%-%d%N%s3t<02q<R(B
>$B1GA|;vL35!(BMIE$B?d?J%;%s%?!<(B
>$B1GA|;vL35!(BMIE$BBh#23+H/It(B
>$BA0ED!!E0(B
>146-8501$B!!El5~ETBgED6h2<4];R#3!]#3#0!]#2(B
>$BEEOC!!(B03-3757-9738$B!"(BFAX$B!!(B03-3757-8205
>-----------------------------------

---

From: Hiroshi Tamura <[email-masked]>
Date: Fri, 02 Mar 2001 11:20:09 +0900 (JST)

maeda-san,

> is expected to honor DSN and return MDN?

That's what I was saying when we talked a few days ago.

In smtp-only case,
only DSN with the information you propose is enough.

Regards,
--
Hiroshi Tamura, Ricoh Company, LTD.
E-mail: [email-masked]

---

From: Dan Wing <[email-masked]>
Date: Thu, 01 Mar 2001 18:36:30 -0800

>That's what I was saying when we talked a few days ago.

Sorry, I'm slow.

>only DSN with the information you propose is enough.

-d

---

From: Dave Crocker <[email-masked]>
Date: Fri, 02 Mar 2001 16:59:03 +0800

>only DSN with the information you propose is enough.

What is the purpose of these different "signals".  In other words, why is 
it useful for Internet fax to have different notices being returned, 
depending upon whether POP or SMTP are being used?

d/

----------
Dave Crocker   <mailto:[email-masked]>
Brandenburg InternetWorking   <http://www.brandenburg.com>
tel: +1.408.246.8253;   fax: +1.408.273.6464

---

From: Hiroshi Tamura <[email-masked]>
Date: Mon, 05 Mar 2001 10:20:18 +0900 (JST)

> depending upon whether POP or SMTP are being used?

My comment may not satisfy you.

Here, I am saying that both DSN and MDN are not necessary
in an SMTP-only implementation and only one notification is enough.

I am not the one who proposes. In case of DSN,
I think the same format Maeda-san proposes could be used.

According to his ideas, to reply received pages is important.
I do not intend to have different "signals".

I think Maeda-san comments sooner or later.

Regards,

---

From: MAEDA toru <[email-masked]>
Date: Mon, 05 Mar 2001 20:20:58 +0900

Wing-san

Thank you very much for comments.
I will add
"a POP (or IMAP) implementation is expected to return MDN,
and an SMTP-only implementation is expected to honor DSN and return MDN"
in the next version of ID.

Reagrds.

Toru Maeda

At 17:02 01/03/01 -0800, Dan Wing wrote:
>>> http://www.ietf.org/internet-drafts/draft-maeda-faxwg-fax-processing-sta 
>>> t u s-00.txt
>>> >

-----------------------------------
キヤノン株式会社
映像事務機MIE推進センター
映像事務機MIE第２開発部
前田　徹
146-8501　東京都大田区下丸子３−３０−２
電話　03-3757-9738、FAX　03-3757-8205
-----------------------------------

---

From: Dan Wing <[email-masked]>
Date: Mon, 05 Mar 2001 15:23:54 -0800

>in an SMTP-only implementation and only one notification is enough.

Unfortunately, it's impossible to know if you're interacting with SMTP-only 
implementation or a POP- or IMAP-based implementation (which can only 
return an MDN).

-d

---

From: Hiroshi Tamura <[email-masked]>
Date: Tue, 06 Mar 2001 08:51:26 +0900 (JST)

Dan,

For my confirmation,

> implementation or a POP- or IMAP-based implementation (which can only 

My intension is,
if sender knows that receiver is SMTP-only implementation
*before* sending tiff, sender may requests only DSN,
although sender can request both DSN and MDN.
(although sender requests only MDN)

POP or IMAP implementation address is mailto address.
SMTP-only one is host address or IP address or mailto address
(These expression may not be exact saying.)
I think there is the case that sender can judge
whether receiver is POP or SMTP-only one, before sending tiff.

If I am wrong, could you please correct me?
Or this situation is not suitable for his ideas?

Regards,

---

From: Dan Wing <[email-masked]>
Date: Mon, 05 Mar 2001 16:33:11 -0800

>*before* sending tiff, sender may requests only DSN,

Yes, agreed, one could do that.

>whether receiver is POP or SMTP-only one, before sending tiff.

No, I don't believe there is a way to determine if the ifax receiver is 
POP, IMAP, or SMTP-only, or if the recipient is a normal MUA (Netscape, 
Eudora, Outlook, pine, etc.).

DSN remains the only way to get a response from the 
endpoint.  Unfortunatly, it doesn't work with POP and IMAP-based clients, 
which is why we chose to not implement our ifax device using POP or IMAP, 
but instead it is an SMTP client and SMTP server.

-d

---

From: Hiroshi Tamura <[email-masked]>
Date: Tue, 06 Mar 2001 17:21:15 +0900 (JST)

Dan,

Thanks for your explanation.

> Yes, agreed, one could do that.

OK. Happy that you see my intension.

> Eudora, Outlook, pine, etc.).

I think you are saying we do not have a way to do it *automatically*.
When sender knows it at *off line*, sender may do.
For example, in the case that someone that has the machine says to us,
"my machine is SMTP-only one, his machine is POP..."

BTW,
In the proposed ideas, if sender cannot do direct(E2E) mode,
it falls back to Simple mode or something.

Considering the destination address,
it may have something to do with this fallback mechanism.
But, it seems to be diffucult to fall back *automatically*.

Regards,

---

From: "Eric Burger" <[email-masked]>
Date: Tue, 6 Mar 2001 15:04:47 -0500

The problem is what generates the notification, a mail transfer
agent/gateway, or an end-point device.

A mail transfer agent/gateway speaks ESMTP, and thus has DSN as an available
notification mechanism.

An end-point device only has MDN available to it.  Worse yet, if the sender
requested delivery notification, yet the end-point cannot deliver the
message, the last MTA will send a successful DSN, as the MTA successfully
delivered the message to the end-point.  Thus, the end-point MUST issue a
MDN to let the sender know that the message, in fact, failed.

http://www.ietf.org/internet-drafts/draft-ietf-vpim-cc-03.txt includes a
detailed description of how this situations comes about and how to resolve
it.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Hiroshi Tamura
> Sent: Sunday, March 04, 2001 8:20 PM
> To: [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Re: I-D ACTION:draft-maeda-faxwg-fax-processing-status-00.txt
>
>

---

From: Dave Crocker <[email-masked]>
Date: Wed, 07 Mar 2001 09:44:04 +1100

Maeda-san,

As you propose, in both cases -- POP/IMAP and pure SMTP -- an MDN will be 
returned.  This means that the use of a DSN is not required.

It provides no additional information about final dispostion.

d/

----------

---

From: Hiroshi Tamura <[email-masked]>
Date: Wed, 07 Mar 2001 09:09:09 +0900 (JST)

Eric,

> MDN to let the sender know that the message, in fact, failed.

OK.
But, the issue here is direct communication, which might not be
the exact saying. Receiver in Maeda-san's idea can speak SMTP.
No MTAs.

> detailed description of how this situations comes about and how to resolve

At my first glance, I do not see it.
For my information, could you please indicate the exact section
or something, if possible?

Regards,

---

From: MAEDA toru <[email-masked]>
Date: Wed, 07 Mar 2001 18:04:35 +0900

Tamura-san

Please do not mixed up two IDs which are Terminal Mode and 
fax-processing-status.

EIFAX and FFIPM which will communicate SMTP or POP/IMAP to the mail server,
and returns status using DSN and/or MDN.
Terminal Mode which will communicate SMTP in end-to-end,
and returns the status by DSN and/or MDN.

My first proposal was that MDN for fax-processing-status
will be returned from EIFAX, FFPIM and Terminal Mode.
Tamura-san's idea is that IFAX which communicate in SMTP
should return DSN but not MDN for the status.
But my understanding is that IFAX which was requested MDN responce in SMTP
should return MDN for the status.
In this case, IFAX is MTA and the end-point.
IFAX returns DSN then returns MDN after processing.

We need more discussion about the case of end-to-end communication by SMTP 
in Terminal Mode.
Tamura-san wanted one DSN confirmation without MDN within the end-to-end 
communication.
Toyoda-san thought that the confirmation should be returned after the 
end-to-end communication.
I thought that the confirmation should be returned within the end-to-end 
communication using MDN.

Please give me your comments.

Toru Maeda

>or something, if possible?

--------------------
MAEDA TORU
MIE Development Div. 2
CANON Inc.
--------------------

---

From: MAEDA toru <[email-masked]>
Date: Wed, 07 Mar 2001 18:56:13 +0900

Dave-san

Thank you very much for clarification.

I think that the use of a DSN is not required.
MDN provides information about final disposition.
But the statement is compromised one for SMTP implementation.

--------------------
MAEDA TORU
MIE Development Div. 2
CANON Inc.
--------------------

---

From: MAEDA toru <[email-masked]>
Date: Wed, 07 Mar 2001 19:45:30 +0900

Tamura-san

I am not sure about your intention to use DSN request for fax processing 
confirmation.
I am confused very much.

Regards.

Toru Maeda

>OK. Happy that you see my intension.

I am not happy with not sending MDN request for fax processing confirmation.
You can request only DSN, when you do not want processing confirmation.
But the sender MUST request MDN for the processing confirmation.

RFC2532 says:

    If the sender desires processing confirmation, the sender MUST
    request Message Disposition Notification ([RFC2298] section 2) when
    sending the message itself.

>"my machine is SMTP-only one, his machine is POP..."

Are there any description about the case in the implementers guide?
Why we can not send both DSN and MDN request to SMTP-only receiver?
Why do we need to distinguish the receiver such as POP, IMAP, or SMTP-only,
before requesting MDN for the processing confirmation?

>it falls back to Simple mode or something.

Yes.

>But, it seems to be diffucult to fall back *automatically*.

When the transmitter can not connect SMTP to the receiver,
it will send Simple Mode or EIFAX or FFPIM to the email server *manually*.

--------------------
MAEDA TORU
MIE Development Div. 2
CANON Inc.
--------------------

---

From: Dan Wing <[email-masked]>
Date: Wed, 07 Mar 2001 07:48:41 -0800

>Tamura-san wanted one DSN confirmation without MDN within the end-to-end 

If an MDN isn't desired:

   *  sender should not request an MDN (don't include
      Disposition-Notification-To header)

or

   *  receiver should ignore Disposition-Notification-To header (if the 
header
      was present) if receiver knows that a DSN was generated.

Of course, the sender could coorelate an MDN and DSN so that the 
originating device (the attached fax machine) doesn't actually see the two 
acknowledgements.

>I thought that the confirmation should be returned within the end-to-end 

There are I-Ds proposing that the SMTP server guarantee that a POP client 
(or IMAP client) will retrieve mail in a certain amount of time.

It seems reasonable that if we're going to have this level of integration 
between a POP client (or IMAP client) and the SMTP server, the SMTP server 
could also withhold its delivery notification (DSN) until the POP client 
(or IMAP client) has indicated successful processing.  This means the POP 
client (or IMAP client) wouldn't need to generate an MDN at all -- 
everything could be in the DSN and could be generated by this special SMTP 
server.

However, I had understood, from a few years ago, that a requirement for 
fax-over-smtp was easy insertion into an enterprise's existing mail 
infrastructure.  If we're really trying to introduce a new SMTP service 
extension, this will not be implemented in many mailers -- even if it 
becomes popular -- due to the difficulties of convincing companies to add 
this new feature.  So I expect this new smtp service extension will only be 
in specialty devices such as relatively large ifax servers, print servers, 
and PCs dedicated to fax-over-smtp service.  I'm not saying this is bad, I 
just want to point this out.

-d

---

From: Hiroshi Tamura <[email-masked]>
Date: Thu, 08 Mar 2001 08:06:13 +0900 (JST)

> Please do not mixed up two IDs which are Terminal Mode and 

OK. Yeah, separate thread could be better.
Because processing-one could be in Eifax and FFPIM.

> and returns the status by DSN and/or MDN.

I know.

> should return DSN but not MDN for the status.

No, I'm not saying it. Excuse me for confusing you.

I'm saying, two notification is not be necessary at E2E mode.
(although, in other modes, both notification may be required.)

Either MDN or DSN is used. In that case, for you,
the same results, i.e., fax-status you propose, can be included.
But I do not stick to DSN.

(Excuse me for mixing, but, I just wanted to follow your ideas.)

> IFAX returns DSN then returns MDN after processing.

If so, both DSN and MDN would be sent to sender *after* E2E session.
If sender knows that receiver is E2E type one,
why are two nofitications necessary?
Or my assumption is wrong?

Just a simple question.

If there are reasons, I will accept.

Or, for receiver in your idea, even if both are reqeusted,
only one notification may be returned.

OK.

> Tamura-san wanted one DSN confirmation without MDN within the end-to-end 

See the above.

> I thought that the confirmation should be returned within the end-to-end 

I understand what you intend.

I may have some misunderstandings. If so, please explain.

Regards,

---

From: Hiroshi Tamura <[email-masked]>
Date: Thu, 08 Mar 2001 08:17:09 +0900 (JST)

Next response.

> I am not happy with not sending MDN request for fax processing confirmation.

In the other mail, I already explained.
I do not oppose sending MDN request.

One notification request is enough in e2e mode.
I repeat. I might accept two notifications, if it means.

> it will send Simple Mode or EIFAX or FFPIM to the email server *manually*.

OK.
Maybe, it is difficult to describe specific *manual* methods, I think.

Regards,

---

From: Hiroshi Tamura <[email-masked]>
Date: Thu, 08 Mar 2001 08:27:17 +0900 (JST)

Third one.

>       was present) if receiver knows that a DSN was generated.

Yes!
in e2e mode, I agree to this.

Yes.

Regards,

---

From: "Toyoda, Kiyoshi" <[email-masked]>
Date: Thu, 08 Mar 2001 11:26:38 +0900

Maeda-san,

>We need more discussion about the case of end-to-end communication by SMTP 

Yes. I think so.

>I thought that the confirmation should be returned within the end-to-end 

I think direct E2E communication doesn't need DSN confirmation because 
the sender knows the result of delivery confirmation when the communication
finished. If the receiver can not accept the data, it will return to 
the sender error code such as 4xx or 5xx as e-mail server.

But, the sender doesn't know whether the processing such as printing was
be done correctly. Usually, there is time lag to complete printing after
IFAX received data. So, I think MDN should be returned on another session
after E2E communication. If the sender doesn't request MDN, the receiver
doesn't reply MDN.

regards,

Kiyoshi Toyoda

---

From: Hiroshi Tamura <[email-masked]>
Date: Thu, 08 Mar 2001 12:24:46 +0900 (JST)

> the sender error code such as 4xx or 5xx as e-mail server.

Yes, I naturally know.
But, in E2E mode, if sender wants page-status information,
DSN including the status could be used *instead of* MDN,
although it may not be suitable.

I also think only MDN request is normally done in this case.

In E2E mode, Only one notification that I would like say.

> after E2E communication. If the sender doesn't request MDN, the receiver

I agree. W.R.T this point, Maeda-san explains sooner or later.

Also, excuse me for confusing Maeda-san, again.

I would like to say,
the Starting point of this discussion is whether or not Page-status
information can be included in DSN, irrespective of modes,
including Eifax and FFPIM.

In E2E mode, DSN may not be necessary, although
DSN including page-status information could be used
in other modes.

E-mail communication is a little hard for me.

Regards,

---

From: "Eric Burger" <[email-masked]>
Date: Thu, 8 Mar 2001 00:32:55 -0500

Comments inline.

> the exact saying. Receiver in Maeda-san's idea can speak SMTP.

By definition, if it speaks SMTP, it is an MTA.  The E2E device is an
integrated MTA/UA.

> > detailed description of how this situations comes about and how
> to resolve it.
>

Section 7, beginning on page 9, "The Content Gateway".

---

From: Hiroshi Tamura <[email-masked]>
Date: Thu, 08 Mar 2001 17:56:45 +0900 (JST)

Eric,

> By definition, if it speaks SMTP, it is an MTA.  The E2E device is an

OK. Thank you for your explanation.

> > > detailed description of how this situations comes about and how

As a co-chair,
Maeda-san, does this I-D help your idea?
If so, is it better to introduce it in your FAX-WG session at Minneaplolis?

Maeda-san, please reply to me soon.

Regards,
--
Hiroshi Tamura, Co-chair of IETF-FAX WG
E-mail: [email-masked]

---

From: MAEDA toru <[email-masked]>
Date: Mon, 12 Mar 2001 15:00:43 +0900

Wing-san

Thank you for comments.
I attached my comments below.

At 07:48 01/03/07 -0800, Dan Wing wrote:
>>We need more discussion about the case of end-to-end communication by 
>>SMTP in Terminal Mode.

My proposal is requesting processing status to the receiver in email 
environment.
I am not sure what kind of method should be used for requesting processing 
status without MDN.

>or
>
>   *  receiver should ignore Disposition-Notification-To header (if the header

Yes, only if receiver knows that a DSN was generated.
My question is that the processing status is included in DSN or not.

>everything could be in the DSN and could be generated by this special SMTP 

How does the server know that the POP client (or IMAP client) has 
successful processing to print ifax image data?

>this new feature.  So I expect this new smtp service extension will only 
>be in specialty devices such as relatively large ifax servers, print 
>servers, and PCs dedicated to fax-over-smtp service.  I'm not saying this 
>is bad, I just want to point this out.

I am not sure that fax-over-smtp means end-to-end smtp protocol in Terminal 
Mode.

---

From: MAEDA toru <[email-masked]>
Date: Mon, 12 Mar 2001 15:15:30 +0900

Tamura-san

I idea is;
DSN returns Delivery status and MDN returns processing status for EIFAX and 
FFIPM.
Both DSN and MDN are important to get complete confirmation for the 
transmitter.
MDN is preferable to send fax processing status after DSN.
Wing-san commented that MDN should not be send if DSN is already send.
I asked that DSN contains processing status or not.

If you want discuss about fax-processing-status for Terminal Mode,
it is better to discuss with other subject.

Regards.

Toru Maeda

---

From: MAEDA toru <[email-masked]>
Date: Mon, 12 Mar 2001 19:01:20 +0900

Tamura-san

>Maybe, it is difficult to describe specific *manual* methods, I think.

I do not think it is difficult to describe specific *manual* methods.

"When the transmitter can not connect SMTP to the receiver,
the transmitter MAY send it by Simple Mode, EIFAX or FFPIM
to the email server for the destination address, manually"

--------------------
MAEDA TORU
MIE Development Div. 2
CANON Inc.
--------------------

---

From: MAEDA toru <[email-masked]>
Date: Mon, 12 Mar 2001 18:55:10 +0900

Tamura-san

Sorry for late response.

>Maeda-san, please reply to me soon.

I do not think my drafts are directly related to vpim-cc-03.txt.
The Content-Criticality draft is handling of boiler plate of ifax.
Some people may want the introduction of the draft at the wg.

Regards.

Toru Maeda

---

From: MAEDA toru <[email-masked]>
Date: Mon, 12 Mar 2001 19:08:43 +0900

Tamura-san

>E-mail communication is a little hard for me.

The reason is not E-mail communication, but English!
So I recommend you to discuss in Japanese.
I am well come to receive email in Japanese
when you have a trouble in translation to English.

--------------------
MAEDA TORU
MIE Development Div. 2
CANON Inc.
--------------------

---

From: Hiroshi Tamura <[email-masked]>
Date: Mon, 12 Mar 2001 20:09:35 +0900 (JST)

I respond for your two mails.

> to the email server for the destination address, manually"

I do not know whether your above suggestion is suitable or not.
I leave it to our discussion.

> when you have a trouble in translation to English.

Could be. But, sometimes, we do not understand each other
in Japanese. 
#We talked at off-line. But it took much time to do.

Anyway, please continue.

Regards,